<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">true</Property>
	<Property name="xslt.params" type="List">
		<Property name="var.session">var.session</Property>
		<Property name="var.id">var.id</Property>
		<Property name="var.unlinkChildAssets">var.unlinkChildAssets</Property>
	</Property>
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.setAllVariablesAsTransformerParams">true</Property>
	<Property name="xslt.source"></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISWorkflowName">VAM_am_008_asset</Property>
		<Property name="ISServerName">dev02.virtimo.net</Property>
		<Property name="var.unlinkChildAssets">true</Property>
		<Property name="ISInvokingWorkflow">VAM_am_008_asset</Property>
		<Property name="ISModuleId">70477</Property>
		<Property name="ISGlobalProcessId">1794489</Property>
		<Property name="ISUserName">VAM</Property>
		<Property name="ISInvokingModule">VAM_am_wfc_024_deleteAsset</Property>
		<Property name="ISCurrentTime">1452581571541</Property>
		<Property name="ISProcessId">1794489</Property>
		<Property name="log" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;log>&lt;entries/>&lt;/log></Property>
		<Property name="ISModuleName">VAM_am_wfc_024_deleteAsset</Property>
		<Property name="var.id">121</Property>
		<Property name="var.session" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;session>&lt;request>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>delete&lt;/method>&lt;parameters>&lt;id>666&lt;/id>&lt;/parameters>&lt;withUser>false&lt;/withUser>&lt;startTimestamp>1452581571497&lt;/startTimestamp>&lt;/request>&lt;configuration>&lt;api> 
    &lt;database> 
      &lt;uri>jdbc:oracle:thin:@dev02.virtimo.net:1521:xe&lt;/uri>  
      &lt;user> 
        &lt;loginName>VPP_API&lt;/loginName>  
        &lt;password>VPP_API&lt;/password> 
      &lt;/user>  
      &lt;default> 
        &lt;alertTimeout>20&lt;/alertTimeout>  
        &lt;queryTimeout>60&lt;/queryTimeout> 
      &lt;/default> 
    &lt;/database>  
    &lt;entity> 
      &lt;validate>true&lt;/validate> 
    &lt;/entity>  
    &lt;response> 
      &lt;debuggingInformation>true&lt;/debuggingInformation>  
      &lt;format>false&lt;/format>  
      &lt;validate>true&lt;/validate> 
    &lt;/response>  
    &lt;user> 
      &lt;maxAge>P0DT0H5M0S&lt;/maxAge>  
    &lt;/user>&lt;technicalUser> 
      &lt;loginName>sys&lt;/loginName> 
    &lt;/technicalUser>&lt;alerting> 
      &lt;recipient> 
        &lt;eMailAddress>kaufhold@virtimo.de &lt;/eMailAddress&gt; 
      &lt;/recipient>&lt;mail> 
      &lt;host>smtp.googlemail.com&lt;/host>  
      &lt;sender> 
        &lt;eMailAddress>jochen@virtimo.net &lt;/eMailAddress> 
      &lt;/sender>  
      &lt;debuggingInformation>true&lt;/debuggingInformation> 
    &lt;/mail> 
    &lt;/alerting>&lt;backend>&lt;imNICHT>&lt;url>https://localhost:7080/im/1/rest/&lt;/url>&lt;/imNICHT>&lt;/backend> 
  &lt;/api>&lt;am> 
      
    &lt;database> 
      &lt;uri>jdbc:oracle:thin:@dev02.virtimo.net:1521:xe&lt;/uri>  
      &lt;user> 
        &lt;loginName>VPP_AM&lt;/loginName>  
        &lt;password>VPP_AM&lt;/password> 
      &lt;/user>  
      &lt;default> 
        &lt;alertTimeout>20&lt;/alertTimeout>  
        &lt;queryTimeout>60&lt;/queryTimeout> 
      &lt;/default> 
    &lt;/database>  
    &lt;entity> 
      &lt;validate>true&lt;/validate> 
    &lt;/entity>  
      
      
    &lt;technicalUser> 
      &lt;loginName>sys&lt;/loginName> 
    &lt;/technicalUser>
      
      
     
  &lt;/am>&lt;userGroupName>VAM&lt;/userGroupName>&lt;/configuration>&lt;user>&lt;id>10196&lt;/id>&lt;displayName>James Smith&lt;/displayName>&lt;loginName>root&lt;/loginName>&lt;name>James Smith&lt;/name>&lt;eMailAddress>smith@example.com&lt;/eMailAddress>&lt;active>true&lt;/active>&lt;locale>de_DE&lt;/locale>&lt;language>de&lt;/language>&lt;country>DE&lt;/country>&lt;roles>&lt;role>Administrator&lt;/role>&lt;role>EPM Admin&lt;/role>&lt;role>EPM Integration&lt;/role>&lt;role>EPM Superuser&lt;/role>&lt;role>EPM User&lt;/role>&lt;role>Power User&lt;/role>&lt;role>User&lt;/role>&lt;role>VAM-administrator&lt;/role>&lt;role>vpp-administrator&lt;/role>&lt;/roles>&lt;permissions>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context&gt;&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>getImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>setImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>getConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>setConfiguration&lt;/method>&lt;/permission>&lt;/permissions>&lt;createdOn>2016-01-12T06:43:23Z&lt;/createdOn>&lt;createdByUser>&lt;id>10196&lt;/id>&lt;displayName>James Smith&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2016-01-12T07:43:23Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>10196&lt;/id>&lt;displayName>James Smith&lt;/displayName>&lt;/lastUpdatedByUser>&lt;organizations>&lt;organization>&lt;id>14005&lt;/id>&lt;displayName>Publication Framework&lt;/displayName>&lt;name>Publication Framework&lt;/name>&lt;configuration>&lt;am/>&lt;/configuration>&lt;createdOn>2016-01-12T06:43:23Z&lt;/createdOn>&lt;createdByUser>&lt;id>10196&lt;/id>&lt;displayName>James Smith&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2016-01-12T07:43:23Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>10196&lt;/id>&lt;displayName>James Smith&lt;/displayName>&lt;/lastUpdatedByUser>&lt;active>true&lt;/active>&lt;/organization>&lt;/organizations>&lt;/user>&lt;/session></Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:am="http://www.bosch-si.com/2013/AM" exclude-result-prefixes="#all" version="2.0">&lt;xsl:import href="inubitmodule://VAM_api_XSLT_Tools"/>
  &lt;xsl:output method="xml" encoding="UTF-8"/>
  &lt;xsl:param name="var.session" as="element()"/>&lt;xsl:param name="var.id"/>&lt;xsl:param name="var.unlinkChildAssets"/>&lt;xsl:template match="/">&lt;queries>&lt;query properties="force" queryID="asset">
        &lt;value>
select a.ID, a.TEMPLATEID

from assets a

where a.organizationId = &lt;xsl:value-of select="am:stringToDB($var.session/user/organizations/organization/id)"/>
and a.id = &lt;xsl:value-of select="am:numberToDB($var.id)"/>
and a.deleted = '0'
        &lt;/value>
      &lt;/query>
      &lt;query properties="force" queryID="totalParents">
        &lt;value>
select count(*) TOTAL

from ass_children ac

where ac.childAssetId = &lt;xsl:value-of select="am:numberToDB($var.id)"/>
        &lt;/value>
      &lt;/query>&lt;xsl:choose>&lt;xsl:when test="$var.unlinkChildAssets = 'true'">&lt;query properties="force" queryID="oldChildren">
        &lt;value>
select ac.childAssetId as CHILDASSETID

from ass_children ac

where ac.assetId = &lt;xsl:value-of select="am:numberToDB($var.id)"/>
        &lt;/value>
      &lt;/query>&lt;/xsl:when>&lt;xsl:otherwise>&lt;query properties="force" queryID="totalChildren">
        &lt;value>
select count(*) TOTAL

from ass_children ac

where ac.assetId = &lt;xsl:value-of select="am:numberToDB($var.id)"/>
        &lt;/value>
      &lt;/query>&lt;/xsl:otherwise>&lt;/xsl:choose>
    &lt;/queries>
  &lt;/xsl:template>
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
</Properties>